summaryrefslogtreecommitdiff
path: root/autoopts/test/vers.test
diff options
context:
space:
mode:
Diffstat (limited to 'autoopts/test/vers.test')
-rwxr-xr-xautoopts/test/vers.test107
1 files changed, 107 insertions, 0 deletions
diff --git a/autoopts/test/vers.test b/autoopts/test/vers.test
new file mode 100755
index 0000000..55fb435
--- /dev/null
+++ b/autoopts/test/vers.test
@@ -0,0 +1,107 @@
+#! /bin/sh
+# -*- Mode: Shell-script -*-
+# ----------------------------------------------------------------------
+# vers.test --- test vers program attribute
+# make sure that when it is not specified
+# then option processing consumes all args.
+#
+# Time-stamp: "2011-08-07 17:35:55 bkorb"
+# Author: Bruce Korb <bkorb@gnu.org>
+##
+## This file is part of AutoOpts, a companion to AutoGen.
+## AutoOpts is free software.
+## AutoOpts is Copyright (c) 1992-2012 by Bruce Korb - all rights reserved
+##
+## AutoOpts is available under any one of two licenses. The license
+## in use must be one of these two and the choice is under the control
+## of the user of the license.
+##
+## The GNU Lesser General Public License, version 3 or later
+## See the files "COPYING.lgplv3" and "COPYING.gplv3"
+##
+## The Modified Berkeley Software Distribution License
+## See the file "COPYING.mbsd"
+##
+## These files have the following md5sums:
+##
+## 43b91e8ca915626ed3818ffb1b71248b pkg/libopts/COPYING.gplv3
+## 06a1a2e4760c90ea5e1dad8dfaac4d39 pkg/libopts/COPYING.lgplv3
+## 66a5cedaf62c4b2637025f049f9b826f pkg/libopts/COPYING.mbsd
+##
+# ----------------------------------------------------------------------
+
+. ./defs
+
+# # # # # # # # # # DEFINITIONS FILE # # # # # # # # #
+
+echo "creating $testname.def in `pwd`"
+testname="$testname" test_main="${test_main}" \
+argument="${argument}" long_opts="${long_opts}" \
+${SHELLX} ${stdopts} option second || failure "Could not construct stdopts"
+echo 'help-value = h;' >> $testname.def
+echo 'version-value = V;' >> $testname.def
+
+echo ${AG_L} $testname.def
+${AG_L} $testname.def || \
+ failure AutoGen could not process
+
+compile "-h"
+
+
+# # # # # # # # # # HELP OUTPUT FILE # # # # # # # # #
+
+echo creating $testname.hlp
+clean_help > $testname.hlp <<'_EOF_'
+test_vers - Test AutoOpts for vers
+USAGE: vers [ -<flag> ]...
+ Flg Arg Option-Name Description
+ -o no option The option option descrip
+ -s no second The second option descrip
+ -h no help Display extended usage information and exit
+ -! no more-help Extended usage information passed thru pager
+
+_EOF_
+
+cmp -s $testname.h*lp || \
+ failure help output mismatch
+
+./$testname -v 2> /dev/null && \
+ failure $testname should not accept version option
+
+ver="`echo '$Revision: 4.8 $'|${SED} 's/.*: *\([0-9.a-z]*\).*/\1/'`"
+echo "version = '$ver';" >> $testname.def
+
+echo ${AG_L} $testname.def
+${AG_L} $testname.def || \
+ failure AutoGen could not process
+
+compile "-h"
+
+./$testname -V 2> /dev/null || \
+ failure "$testname '*SHOULD*' accept version option"
+
+echo recreating $testname.hlp
+clean_help > $testname.hlp <<_EOF_
+test_vers - Test AutoOpts for vers - Ver. ${ver}
+USAGE: vers [ -<flag> ]...
+ Flg Arg Option-Name Description
+ -o no option The option option descrip
+ -s no second The second option descrip
+ -V opt version Output version information and exit
+ -h no help Display extended usage information and exit
+ -! no more-help Extended usage information passed thru pager
+
+_EOF_
+
+cmp -s $testname.h*lp || \
+ failure versioned help output mismatch
+
+cleanup
+
+## Local Variables:
+## mode: shell-script
+## indent-tabs-mode: nil
+## sh-indentation: 2
+## End:
+
+# end of vers.test